Subject: Re: bug#48141: 28.0.50; Files left over by native compiler

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 May 2021 14:49:53 +0300

> Date: Mon, 03 May 2021 08:42:08 +0000
> From: Gregory Heytings <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> 
> Given that requirement (atomicity) and its implication (same partition), 
> would it not be better to create these temporary files in a 'tmp' 
> subdirectory of their target directory (e.g. 'lisp/tmp' for el files in 
> 'lisp' and 'lisp/calc/tmp' for el files in 'lisp/calc') instead of using 
> random filenames in the target directory itself?

Since they will be in the tree anyway, why does it matter in what
subdirectory they will be deposited?

Using a subdirectory has a disadvantage: you need to create it and
delete it, which can hamper atomicity, and also cause trouble in
parallel builds.  So if the advantage is unclear, I'd rather not go
there.

There's nothing wrong with what we do now, IMO.  We arrived at that
after several iterations, which did try some of the suggestions in
this thread.  If Magit users are annoyed by their popping up
unexpectedly, adding them to .gitignore is TRT and will solve the
issue cleanly and safely.